Bug 190924 - CVE-2006-2237: awstats arbitrary code execution vulnerability
CVE-2006-2237: awstats arbitrary code execution vulnerability
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: awstats (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
http://www.vuxml.org/freebsd/2df297a2...
: Reopened, Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 13:11 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 05:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-06 13:11:30 EDT
+++ This bug was initially created as a clone of Bug #190923 +++

awstats < 6.6 has reportedly an arbitrary code execution vulnerability, fixed in
upstream 6.6.  No CVE id yet (I've mailed them), but here's more info:
http://www.vuxml.org/freebsd/2df297a2-dc74-11da-a22b-000c6ec775d9.html
Comment 1 Aurelien Bompard 2006-05-07 19:56:21 EDT
Awstats 6.6 is still in beta and did not work for me (update gave "Use of
uninitialized value in substitution (s///) at ..."), so I backported the fix
from CVS instead (it's a two-liner).
FC-5 and FC-4 versions building, devel is updated to 6.6 and I'll keep it
updated when a new beta arrives.
Comment 2 Ville Skyttä 2006-05-09 02:16:35 EDT
It appears that this is not fixed; the problem is in the unsanitized "migrate"
query string parameter.
Comment 3 Aurelien Bompard 2006-05-09 05:07:45 EDT
Fixed, see bug 190923 for details

Note You need to log in before you can comment on or make changes to this bug.